# Created by pyp2rpm-3.3.2
%global pypi_name sum_walker

Name:           python-%{pypi_name}
Version:        0.8.2
Release:        %mkrel 4
Summary:        Iterate over sums of a certain number of elements
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/sum_walker
Source0:        https://files.pythonhosted.org/packages/source/s/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(pytest)

%description
Python module to iterate over sums of a certain number of elements.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python module to iterate over sums of a certain number of elements.


%package -n python-%{pypi_name}-doc
Summary:        Documentation for the sum_walker python module
%description -n python-%{pypi_name}-doc
Documentation for sum_walker

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE docs/LICENSE.rst
%doc README.rst docs/README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/LICENSE.rst


%changelog
* Tue Mar 29 2022 umeabot <umeabot> 0.8.2-4.mga9
+ Revision: 1832750
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.8.2-3.mga9
+ Revision: 1782272
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.8.2-2.mga9
+ Revision: 1732950
- Rebuild for python 3.9

* Tue May 12 2020 shlomif <shlomif> 0.8.2-1.mga8
+ Revision: 1583403
- by cheese-e-boi

